Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.internal.swt
Class ECPSWTViewImpl

    java.lang.Object
      org.eclipse.emf.ecp.view.internal.swt.ECPSWTViewImpl

All Implemented Interfaces:
  ECPSWTView

    public class ECPSWTViewImpl

extends Object
implements ECPSWTView

Author:
  Jonas

Constructor Summary
`ECPSWTViewImpl(org.eclipse.swt.widgets.Composite composite, ViewModelContext viewContext)`

Method Summary
`void` | `dispose()` Disposes the view.
`org.eclipse.swt.widgets.Control` | `getSWTControl()`
`ViewModelContext` | `getViewModelContext()` Returns the `ViewModelContext` which was used to create the current view.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECPSWTViewImpl

    public ECPSWTViewImpl(org.eclipse.swt.widgets.Composite composite,
                          ViewModelContext viewContext)

Parameters:
  `composite` - the composite containing the view
  `viewContext` - the view context of the view

Method Detail

### getSWTControl

    public org.eclipse.swt.widgets.Control getSWTControl()

  Specified by:
    `getSWTControl` in interface `ECPSWTView`
  Returns:
    the root SWT Control of this view.
  See Also:
    `ECPSWTView.getSWTControl()`

### dispose

    public void dispose()

  Disposes the view.

  Specified by:
    `dispose` in interface `ECPSWTView`
  See Also:
    `ECPSWTView.dispose()`

### getViewModelContext

    public ViewModelContext getViewModelContext()

  Returns the `ViewModelContext` which was used to create the current view.

  Specified by:
    `getViewModelContext` in interface `ECPSWTView`
  Returns:
    the `ViewModelContext`
  See Also:
    `ECPSWTView.getViewModelContext()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.